package com.example.switchyard.switchyard_testprj;

import org.switchyard.Exchange;
import org.switchyard.ExchangeState;
import org.switchyard.component.resteasy.composer.RESTEasyBindingData;
import org.switchyard.component.resteasy.composer.RESTEasyMessageComposer;

public class ErrorMapper extends RESTEasyMessageComposer {

	@Override
	public RESTEasyBindingData decompose(Exchange exchange, RESTEasyBindingData target)
			throws Exception {
		
		// this is just an example which detects faults and returns them as strings
		if (ExchangeState.FAULT.equals(exchange.getState())) {
			target.setParameters(
					new String[] {exchange.getMessage().getContent(String.class)});
			return target;
		} else {
			return super.decompose(exchange, target);
		}
	}

}
