package com.example.switchyard.switchyard_testprj;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.switchyard.component.test.mixins.cdi.CDIMixIn;
import org.switchyard.component.test.mixins.http.HTTPMixIn;
import org.switchyard.test.SwitchYardRunner;
import org.switchyard.test.SwitchYardTestCaseConfig;
import org.switchyard.test.SwitchYardTestKit;

@RunWith(SwitchYardRunner.class)
@SwitchYardTestCaseConfig(config = SwitchYardTestCaseConfig.SWITCHYARD_XML, mixins = {
		CDIMixIn.class, HTTPMixIn.class })
public class ComposerTest {

	private SwitchYardTestKit testKit;
	private HTTPMixIn httpMixIn;
	
	@Test
	public void testGetWithComposer() throws Exception {
		httpMixIn.setDumpMessages(true);
		String reply = httpMixIn.postString(
				"http://localhost:8080/test/v1/test/foo", "foo");
		System.out.println(reply);
	}

}
